Subject: Re: bug#20610: 25.0.50; Gnus fancy mail splitting not working anymore

From: Sebastien Vauban <[email-masked]>
Date: Thu, 21 May 2015 13:51:12 +0200

Katsumi Yamaoka <[email-masked]> writes:
> On Tue, 19 May 2015 14:39:29 -0400, Stefan Monnier wrote:
>> I think we need some help from the Gnus guys here,
>
> After starting up Gnus, try this form in the *scratch* buffer:
>
> (featurep 'bbdb-gnus) ;; Type `C-j' at the end of the form.
>
> If this returns nil, it means your ~/.gnus file, containing
> the splitting rules, is not loaded.

It _is_ loaded; it returns `t'.

> If so, a possible cause is that you have ~/.gnus.el or ~/.gnus.elc,
> that's accidentally made.  Gnus prefers those files than ~/.gnus.
> Even if ~/.gnus.el or ~/.gnus.elc is empty, Gnus would work just like
> normal because of ~/.newsrc.eld.

I know that, that's why I never ever compile my config files -- because
I've been hit quite a couple of times but that problem in the past, and
because the startup time of my Emacs/Gnus is already very decent now (in
the order of 1 to 3 seconds).

As I said, what's un-understandable right now, is that my config _works_
with Emacs 24.5 and (the exact same) does not with Emacs 25.

The problems you point to (possibly missing package or use of
a compiled, not up-to-date, config file) couldn't explain that fact.

Both versions of Emacs read my `~/.gnus' file and load the `bbdb-gnus'
library found at `~/.emacs.d/elpa/bbdb-20140830.2031/bbdb-gnus.elc'.

To add more data points, here is a comparison of what's displayed in the
`*Messages*' buffer for both sessions:

- With Emacs 24.5:

--8<---------------cut here---------------start------------->8---
  Opening connection to mail via tls...
  auth-source-search: found 1 results (max 1) matching (:max 1 :host ("mail") :port (993 "imaps" "imap" "993" "143") :user nil :require (:user :secret) :create t)
  Opening connection to mail...done
  Reading d:/Users/sva/.gnus.d/.newsrc.eld...
  Checking new news...
  Decrypting d:/Users/sva/.authinfo.gpg...done
  auth-source-search: found 1 results (max 1) matching (:max 1 :host ("news.gmane.org" "gmane") :port ("119" "nntp" "nntp" "563" "nntps" "snews"))
  auth-source-search: found 1 results (max 1) matching (:max 1 :host ("news.eternal-september.org" "eternal-september") :port ("119" "nntp" "nntp" "563" "nntps" "snews"))
> nnimap mail splitting mail...
  nnimap read 0k from mail
> Parsing BBDB...
> Duplicate BBDB record encountered: Support
> Parsing BBDB...done
> nnimap mail splitting mail...done
> nnimap read 2k from mail
  Reading active file via nndraft...done
  Checking new news...done
--8<---------------cut here---------------end--------------->8---

- With Emacs 25.0:

--8<---------------cut here---------------start------------->8---
  Opening connection to mail via tls...
  auth-source-search: found 1 results (max 1) matching (:max 1 :host ("mail") :port (993 "imaps" "imap" "993" "143") :user nil :require (:user :secret) :create t)
  Opening connection to mail...done
  Reading d:/Users/sva/.gnus.d/.newsrc.eld...
  Checking new news...
  Decrypting d:/Users/sva/.authinfo.gpg...done
  auth-source-search: found 1 results (max 1) matching (:max 1 :host ("news.gmane.org" "gmane") :port ("119" "nntp" "nntp" "563" "nntps" "snews"))
> Unable to open server nntp+gmane due to: Authorization Rejected
  auth-source-search: found 1 results (max 1) matching (:max 1 :host ("news.eternal-september.org" "eternal-september") :port ("119" "nntp" "nntp" "563" "nntps" "snews"))
  nnimap read 0k from mail
  Reading active file via nndraft...done
  Checking new news...done
--8<---------------cut here---------------end--------------->8---

Note that I've prefixed the lines which are different with a ">".

Best regards,
  Seb

PS- I also have a problem with Gmane in Emacs 25.0, but I didn't look
    into that yet.